Aerovy Platform logo

Get a thing's recent events

GEThttps://spectra.api.aerovy.com/v2/things/{thingId}/recent-events

Returns the most recent N events for a thing (bounded lookback). Requires an API key with the read action scoped to the thing.

Loading code example
Loading code example

Authorizations

apiKeystringheaderrequired

API key passed in the header.

Path Parameters

thingIdstringrequired

The thing id.

Query Parameters

cutoffTimestring<date-time>

Optional upper bound (UTC); defaults to now.

limitinteger | string<int32>default: 10

Maximum number of events to return.

Pattern: ^-?(?:0|[1-9]\d*)$
Default: 10
lookbackInDaysinteger | string<int32>default: 1

How far back to search (1–30).

Pattern: ^-?(?:0|[1-9]\d*)$
Default: 1
selectedFieldsarray<string>

Optional metric ids to restrict the result to.

Response

application/json

The recent events.